package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--废气超标排放信息对象 b_stat_table_zxbg_pfl_air_overproof
 *
 * @author szhpt
 * @date 2023-07-28*/
@ApiModel(value = "固定源产排治--执行报告--废气超标排放信息")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_pfl_air_overproof")
public class BStatTableZxbgPflAirOverproof extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;

    @ApiModelProperty(value = "超标开始时间")
    /** 超标开始时间 */
    @Excel(name = "超标开始时间")
    private String overStartTime;

    @ApiModelProperty(value = "超标截止时间")
    /** 超标截止时间 */
    @Excel(name = "超标截止时间")
    private String overEndTime;

    @ApiModelProperty(value = "生产设施编号")
    /** 生产设施编号 */
    @Excel(name = "生产设施编号")
    private String zxbgProCode;

    @ApiModelProperty(value = "排放口编号")
    /** 排放口编号 */
    @Excel(name = "排放口编号")
    private String zxbgOutletCode;


    @ApiModelProperty(value = "污染物名称")
    /** 污染物名称 */
    @Excel(name = "污染物名称")
    private String zxbgPollutant;


    @ApiModelProperty(value = "实际排放浓度（折标，mg/m3）")
    /** 实际排放浓度（折标，mg/m3） */
    @Excel(name = "实际排放浓度（折标，mg/m3）")
    private String zxbgDischargeTrue;

    @ApiModelProperty(value = "超标原因说明")
    /** 超标原因说明 */
    @Excel(name = "超标原因说明")
    private String overRemark;

    @ApiModelProperty(value = "实际排放值")
    /** 实际排放值 */
    @Excel(name = "实际排放量")
    private String zxbgDischargeActual;

    @ApiModelProperty(value = "计量单位")
    /** 计量单位 */
    @Excel(name = "计量单位")
    private String overUnit;

    @ApiModelProperty(value = "是否删除")
    /** 是否删除 */
    private String isDelete;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgOutletCode", getZxbgOutletCode())
            .append("zxbgPollutant", getZxbgPollutant())
            .append("zxbgDischargeTrue", getZxbgDischargeTrue())
            .append("zxbgDischargeActual", getZxbgDischargeActual())
            .append("createTime", getCreateTime())
            .append("isDelete", getIsDelete())
            .append("zxbgProCode", getZxbgProCode())
            .append("overStartTime", getOverStartTime())
            .append("overEndTime", getOverEndTime())
            .append("overRemark", getOverRemark())
            .append("overUnit", getOverUnit())
            .toString();
    }
}
